package cn.estsh.i3plus.pojo.base.common.converter;

import com.thoughtworks.xstream.converters.Converter;
import com.thoughtworks.xstream.converters.collections.MapConverter;
import com.thoughtworks.xstream.mapper.Mapper;
import org.springframework.util.LinkedCaseInsensitiveMap;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-09-09 14:35
 * @Modify:
 **/
public class LinkedCaseInsensitiveMapConverter extends MapConverter implements Converter {

    public LinkedCaseInsensitiveMapConverter(Mapper mapper) {
        super(mapper);
    }

    @Override
    public boolean canConvert(Class aClass) {
        return aClass.equals(LinkedCaseInsensitiveMap.class);
    }
}
